<div class="volume-container">

  <img
    *ngIf="isUserLogged"
    role="button" 
    (click)="openManageDialog()"
    class="settings-btn rounded-50 box-shadow--heavy"
    src="../../../../assets/update-book.png"
    title="Manage Volume"  
  />
  
  <ng-content select="[delete]"></ng-content>

  <div [title]="volume?.volumeInfo?.title" class="volume-item box-shadow">

    <a [routerLink]="['/volume', 'details', volume.id]">

        <img onerror="src='../../../../assets/default-thumbnail.png'" class="volume-img" [src]="volume?.volumeInfo?.imageLinks?.thumbnail">

      <div class="volume-info">

        <p class="title reset-margin">
         {{volume?.volumeInfo?.title}}
        </p>
  
        <time class="date">
          {{ volume?.volumeInfo?.publishedDate | date: "mediumDate" }}
        </time>
  
        <span class="authors">
          {{volume?.volumeInfo.authors | joinWithComma}}
        </span>

      </div>
  
    </a>

  </div>

</div>

